﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace net.citrusleaf
{
    /// <summary>
    /// Default settings used for managing client connections.
    /// </summary>
    public class Settings
    {
        private int maxSocketCount = 300;
        private int maxIdleSocketSeconds = 14;

        /// <summary>
        /// Maximum size of the socket in the connection pool.  
        /// It can be between 10 and 1000.  It defaults to 300.
        /// </summary>
        public int MaxSocketCount
        {
            get { return maxSocketCount; }
            set { maxSocketCount = Math.Max(10, Math.Min(value, 1000)); }
        }

        /// <summary>
        /// Maximum number of seconds a socket can remain idle before being closed by the client.  
        /// It can be between 1 and 600. It defaults to 14.
        /// </summary>
        public int MaxIdleSocketSeconds
        {
            get { return maxIdleSocketSeconds; }
            set { maxIdleSocketSeconds = Math.Max(1, Math.Min(value, 600)); }
        }
    }
}
